Subject: Re: CCL:Swiss PDB Viewer in Red Hat 7.3

From: Thomas Wein <[email-masked]>
Date: 24 Jul 2002 08:37:25 +0200

Hi Sergio,

for me the procedure described in the Install FAQs worked fine. 
I'm running RedHat 7.3 (downloaded fomr RedHat as ISO images) on a PIII
box with Nvidia graphics card and Nvidia Linux drivers (Versions:
NVIDIA_kernel-1.0-2960.rh73up and NVIDIA_GLX-1.0-2960). When starting
Swiss-Prot-Viewer is says "Swiss PDB Viewer accellerated with OpenGL".

Find them here: http://us.expasy.org/spdbv/text/faq.htm#linux

And the text is:
   1.  error in loading shared libraries: libMesaGL.so.3. ...

      Why this
      The simple reason for this is that the newer Mesa now uses
different names for the libraries than those with which SPDBV has been
linked with. Apparently they are now called libGL.so and libGLU.so
instead of libMesaGL.so and libMesaGLU.so.

      How to solve it
      The new Mesa is completly backward compatible and should not harm
SPDBV from working properly. So there is no need to install an old Mesa
version.
      Just a little hack is needed to get it work: if you can get root
access to your linux box, make the following symbolic links from the new
libraries to the old names:

ln -s  /usr/X11R6/lib/libGL.so.1.2.0 /usr/X11R6/lib/libMesaGL.so.3
ln -s  /usr/X11R6/lib/libGLU.so.1.2.0 /usr/X11R6/lib/libMesaGLU.so.3

      then run

/sbin/ldconfig

      to make the system remember this changes.

      (I assumed that the libraries are installed under /usr/X11R6/lib.
If this is not correct, please adjust the above commands with the
correct location.) 

Good luck

Thomas Wein

On Wed, 2002-07-24 at 00:14, Sergio wrote:
> Hi, has anyone managed to install SPDBV in Red Hat 7.3 in redirect the old 
> Mesa library to the new OpenGL library?
> 
> I haven't...
> 
> Anyone has, please let me know!
> 
> Sergio
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> 
> 
> 

-- 
---
T2-Consult
Dr. Thomas Wein, Executive Partner
Steinachtalweg 6
81549 München
Germany
Fon: +49 (0)89 21 58 87 55
Fax: +49 (0)89 21 58 16 82
http://www.t2-consult.de